Buonasera,

vi espongo il mio problema sperando sia risolvibile, ho installato Ubuntu 16.10 con kernel 4.9.9 e nel mio pc ho installato una Radeon RX 480 che viene rilevata dal sistema sia con il driver open sia con quello proprietario però il mio problema è che non viene eseguito l'audio tramite HDMI (ho il pc attaccato alla TV appunto tramite cavo HDMI), non capisco come mai, su windows viene eseguito tranquillamente su Ubuntu no, mi chiedevo è possibile risolvere il problema oppure è ancora irrisolvibile?

Grazie Mille

chiesto 09 Feb, 21:26

Blanco360's gravatar image

Blanco360
2012

Credo che il driver open Amdgpu non consenta ancora di passare l'audio in uscita sulla HDMI 2.0. Dovrebbe funzionare con il driver ibrido Amdgpu-Pro, ma é supportato solo su Ubuntu 16.04 con kernel Linux 4.4

http://support.amd.com/en-us/kb-articles/Pages/AMDGPU-PRO-Driver-for-Linux-Release-Notes.aspx

(10 Feb, 00:38) alevipri alevipri's gravatar image

Buongiorno,

intanto grazie mille per la risposta, quindi mi sta dicendo che è meglio che installi Ubuntu 16.04 con il kernel "nativo" e driver proprietario? ma con un kernel più "avanzato" non dovrebbe funzionare meglio? e nel mio caso non dovrebbe essere meglio avendo installato Ubuntu 16.10?

Grazie ancora

(10 Feb, 13:01) Blanco360 Blanco360's gravatar image

Il driver AMDGPU-Pro è attualmente supportato solo su Ubuntu 16.04 con kernel Linux 4.4.
Perciò ti consigliavo di installare la 16.04.1 + AMDGPU-Pro.

P.s: nella 16.04.2 il kernel sarà il 4.8, quindi anche se uscirà a breve direi che è meglio evitarla.

(10 Feb, 15:21) alevipri alevipri's gravatar image

Per quanto riguarda il kernel 4.9.9 che hai installato, posso solo supporre che il driver AMDGPU-Pro non funzioni a dovere.

Se decidi di provare Ubuntu 16.04.1 + AMDGPU-Pro, facci sapere se risolvi il problema.

(10 Feb, 15:29) alevipri alevipri's gravatar image

Volevo ringraziarti tutti per il tuo aiuto che è stato preziosissimo, ho fatto il downgrade ad Ubuntu 16.04.1 LTS e appena arrivato al desktop ho installato subito il driver AMDGPU-Pro e al successivo riavvio l'audio si è sentito subito e io che pensavo che fosse meglio la versione 16.10 di Ubuntu, spero tu mi possa perdonare per il distrurbo per una cosa così sciocca.

Grazie mille davvero!!

(10 Feb, 19:48) Blanco360 Blanco360's gravatar image

Bene!
Nessun disturbo, figurati. Ho convertito il commento in risposta, ricordati di segnarla come corretta.

(11 Feb, 14:14) alevipri alevipri's gravatar image

Allo stato attuale dello sviluppo, non è stato ancora implementato nel kernel Linux tale AMDGPU DC display code. Non so esattamente cosa sia (scusami), ma pare che questo codice sia essenziale per abilitare alcune funzionalità, come l'audio tramite HDMI, con il driver open amdgpu: http://phoronix.com/scan.php?page=news_item&px=AMDGPU-DC-DAL-Atomic-Refresh
Se tutto procede per il meglio, questo codice sarà implementato nel kernel 4.12...

Che io sappia tuttavia, il driver "ibrido" AMDGPU-Pro contiene già codesto codice, quindi l'audio tramite HDMI dovrebbe funzionare. Il driver AMDGPU-Pro è attualmente supportato solo su Ubuntu 16.04 con kernel Linux 4.4. Perciò ti consiglio di installare la 16.04.1 + AMDGPU-Pro.

P.s: nella 16.04.2 il kernel sarà il 4.8, quindi anche se uscirà a breve direi che è meglio evitarla.

coll. permanente

ha risposto 10 Feb, 15:19

alevipri's gravatar image

alevipri
5.5k1479

modificato 11 Feb, 14:11

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×29

domanda posta: 09 Feb, 21:26

domanda visualizzata: 312 volte

ultimo aggiornamento: 11 Feb, 14:14

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.